function MapView() {
	
	var actualAnnotation, newpos, addressForAnnotation1, addressForAnnotation2;
	
	//var win = Titanium.UI.currentWindow;
	var win = Titanium.UI.createWindow({
		barColor : '#a1c653',
		navBarHidden : true,
	    backgroundColor : "white",
        //backgroundImage : '/images/Hintergrund_h1200.png',
        title: 'Karte',
	    modal:true
	});
	
	
	
	// Start position, if there's no location is saved - headquarter
	var startPos = {
		lat : 48.0437,
		lng : 16.3233
	};
	
	// default value if there's no actual position
	if(!Ti.App.currentPosition){
		Ti.App.currentPosition = {
			lat : startPos.lat,
			lng : startPos.lng
		};
	}
	else
	{
		startPos = {
			lat : Ti.App.currentPosition.lat,
			lng : Ti.App.currentPosition.lng
		};
	};
	
	var mapTypeSelect = Map.HYBRID_TYPE;
	
	//////////////////// INITIALIZE MAP
	var mapview = Map.createView({
        mapType: mapTypeSelect,
        region: {
            latitude: startPos.lat, 
            longitude: startPos.lng,
            latitudeDelta: 0.001,
            longitudeDelta: 0.001
        },
        animate:true,
        regionFit:true,
        userLocation:true
    });
    
    // The initial pin
	actualAnnotation = Map.createAnnotation({
	    draggable : false,
	    latitude : startPos.lat,
	    longitude : startPos.lng,
	    title : "Startposition",
	    subtitle : 'Halten Sie Ihren Finger auf die gewünschte Position',
	    pincolor : Map.ANNOTATION_RED,
	    animate : true,
	    myid : 1 // Custom property to uniquely identify this annotation.
	});
	
	
	win.add(mapview);
	//////////////////// INITIALIZE MAP END
	
	var locateFunction = function (dontSetAnnot){
		
		Ti.Geolocation.getCurrentPosition(function(e) {
		    if (e.error) {
		    	//alertDialog ("Hinweis","Ihre Position kann im Moment nicht abgerufen werden (Fehlercode 201)");
		        return; 
		    }
		    
		    var Pos = {
				lat : e.coords.latitude,
				lng : e.coords.longitude
			};
			
			
			// set location
		    mapview.setLocation({
		        latitude : Pos.lat,
		        longitude : Pos.lng,
		        latitudeDelta : 0.001,
		        longitudeDelta : 0.001
		    });
		    
		    ////Ti.API.info("2-0 dontSetAnnot: "+typeof dontSetAnnot);
		    
		    if(typeof dontSetAnnot == undefined || dontSetAnnot == 0)
		    {
    		    // remove all Annotations
    			mapview.removeAllAnnotations();
    			
    			actualAnnotation = Map.createAnnotation({
    				draggable:false,
    			    latitude: Pos.lat,
    			    longitude: Pos.lng,
    			    title:"Pin",
    			    subtitle:'',
    			    pincolor:Map.ANNOTATION_GREEN,
    			    animate:true
    			});
    			
    			if(Titanium.Network.online != true)
    				actualAnnotation.title = "Keine Internetverbindung";
    			
    			mapview.addAnnotation(actualAnnotation);
    			mapview.selectAnnotation(actualAnnotation);
			}
			
			Ti.App.currentPosition = {
				lat : Pos.lat,
				lng : Pos.lng
			};
			
		});
	};
    	
    	
    // After loading, remove the searchbar
    setTimeout(function(){
        // goto current position, and set a pin
        locateFunction(0);
    }, 2000);	
    	
    	
	if(Ti.App.regionChangedListener != true)
	{
		Ti.App.regionChangedListener = true;
		
		// this is needed for the longpress set annotation to work on Android
		mapview.addEventListener('regionChanged', function(e) {
			
	        mapview.actualRegion = e;
	    });
   	};
    
    
    win.addEventListener('focus', function(){
        Ti.App._activeTabIndex = 0;
    });
    
    return win;
};

module.exports = MapView;
